package org.linlinjava.jz.db.dao;


import org.apache.ibatis.annotations.Param;
import org.linlinjava.jz.db.domain.JzGoodsCategory;

import java.util.List;

public interface JzGoodsCategoryMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(JzGoodsCategory record);

    int insertSelective(JzGoodsCategory record);

    JzGoodsCategory selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(JzGoodsCategory record);

    int updateByPrimaryKey(JzGoodsCategory record);

    List<JzGoodsCategory> query();

    List<JzGoodsCategory> selectByPidAndLevel(@Param("pid") Integer pid, @Param("level") String level);
}